/// <reference path="../ContentDescription.ts" />
class FuckingDescription extends ContentDescription {
    public static DESCRIPTIONS = [];

    public constructor (name : string) {
        super(name, new ContentGroup());
        FuckingDescription.DESCRIPTIONS.push(this);
    }

    public addUnit () {
        let unit = new FuckingUnit();
        (<ContentGroup> this.group).addUnit(unit);
        return unit;
    }

    public static getDescription (target : ContentGroup) {
        return ContentDescription.pickDescriptions(FuckingDescription.DESCRIPTIONS, target);
    }
}